Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.opstatus
Interface OperationalStatusAttributeDescriptor

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  OperationalStatusAttributeDescriptorImpl

public interface OperationalStatusAttributeDescriptor
extends java.io.Serializable, java.lang.Cloneable, SerializerFactory

Represent a measurement attribute that can be monitored in the observable object class.

The measurement attribute name is short form of the measurement name and it is used to identify the measurement attribute in the measurement result reports.

The type of the measurement supported by Operational Status monitoring jobs can be:

- java.lang.Integer
- java.lang.Long

Each measurement job will be collecting result data at a particular frequency, known as the granularity period of the measurement. At the end of the granularity period a scheduled result report shall be generated for each measurement job that is actively collecting performance measurement data. The measurement data can be collected in a number of ways:

- cumulative incremental counters triggered by the occurrence of the measured event;
- status inspection (i.e. a mechanism for high frequency sampling of internal counters at pre-defined rates);
- gauges (i.e. high tide mark, low tide mark);
- discrete event registration, where data related to a particular event is captured.

Version:
  0.9, 2002-02-17
Author:
  Stefan Aberg

Field Summary
`static java.lang.String` | `CUMULATIVE_COUNTER` The node maintains a running count of the event being counted.
`static java.lang.String` | `DISCRETE_EVENT_REGISTRATION` This is a measurement of a specified event where every Nth event would be taken into account.
`static java.lang.String` | `GAUGE` Gauges represent dynamic variables that may change in either direction.
`static int` | `INTEGER` Constant that indicates if the attribute is of integer type (`java.lang.Integer`).
`static int` | `LONG` Constant that indicates if the attribute is of long type (`java.lang.Long`).
`static java.lang.String` | `STATUS_INSPECTION` Nodes maintain internal counts for resource management purposes.

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`java.lang.String` | `getCollectionMethod()` Returns the collection method.
`java.lang.String` | `getName()` Returns the performance attribute name.
`int` | `getType()` Returns the type of attribute.
`boolean` | `isArray()` Checks if the attribute is an array.
`void` | `setCollectionMethod(java.lang.String cm)` Sets the collection method.
`void` | `setIsArray(boolean isarr)` Sets if the attribute is an array.
`void` | `setName(java.lang.String name)` Sets the performance attribute name.
`void` | `setType(int type)` Sets the type of attribute.

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Field Detail

### INTEGER

    public static final int INTEGER

  Constant that indicates if the attribute is of integer type (`java.lang.Integer`).

  See Also:
    Constant Field Values

### LONG

    public static final int LONG

  Constant that indicates if the attribute is of long type (`java.lang.Long`).

  See Also:
    Constant Field Values

### CUMULATIVE_COUNTER

    public static final java.lang.String CUMULATIVE_COUNTER

  The node maintains a running count of the event being counted. The counter is reset to a defined value (usually "0") at the beginning of the granularity period.

  See Also:
    Constant Field Values

### GAUGE

    public static final java.lang.String GAUGE

  Gauges represent dynamic variables that may change in either direction. Gauges can be integer or real valued. If a gauge is required to produce low and high tide marks for a granularity period (e.g. minimum and maximum call duration), then it shall be reinitialized at the beginning of the granularity period. If a gauge is required to produce a consecutive readout over multiple granularity periods (e.g. cabinet temperature), then it shall only be reinitialized at the start of a recording interval.

  See Also:
    Constant Field Values

### DISCRETE_EVENT_REGISTRATION

    public static final java.lang.String DISCRETE_EVENT_REGISTRATION

  This is a measurement of a specified event where every Nth event would be taken into account. The value of N is dependent on the frequency of occurrence of the event being measured. Discrete event registration measurements shall be reset at the beginning of the granularity period and will only have a valid result at the end of the granularity period.

  See Also:
    Constant Field Values

### STATUS_INSPECTION

    public static final java.lang.String STATUS_INSPECTION

  Nodes maintain internal counts for resource management purposes. These counts are read at a predetermined rate, the rate is usually based upon the expected rate of change of the count value. MfStatus inspection measurements shall be reset at the beginning of the granularity period and will only have a valid result at the end of the granularity period.

  See Also:
    Constant Field Values

Method Detail

### clone

    public java.lang.Object clone()

  Deep copy of this instance.

  Returns:
    Object copy of this instance.

### getName

    public java.lang.String getName()

  Returns the performance attribute name.

  Returns:
    String The name of the attribute.
  See Also:
    `setName(java.lang.String)`

### setName

    public void setName(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Sets the performance attribute name.

  Parameters:
    `name` - The name of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getName()`

### getType

    public int getType()

  Returns the type of attribute.

  Returns:
    int Returns the id of type.
  See Also:
    `setType(int)`

### setType

    public void setType(int type)
                 throws java.lang.IllegalArgumentException

  Sets the type of attribute.

  Valid values are:

  - `OperationalStatusAttributeDescriptor.INTEGER`
  - `OperationalStatusAttributeDescriptor.REAL`
  - `OperationalStatusAttributeDescriptor.STRING`

  Parameters:
    `type` - The id of type.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getType()`

### getCollectionMethod

    public java.lang.String getCollectionMethod()

  Returns the collection method.

  Returns:
    String Returns the collection method.
  See Also:
    `setCollectionMethod(java.lang.String)`

### setCollectionMethod

    public void setCollectionMethod(java.lang.String cm)
                             throws java.lang.IllegalArgumentException

  Sets the collection method.

  Valid values are:

  - `OperationalStatusAttributeDescriptor.CUMULATIVE_COUNTER`
  - `OperationalStatusAttributeDescriptor.GAUGE`
  - `OperationalStatusAttributeDescriptor.DISCRETE_EVENT_REGISTRATION`
  - `OperationalStatusAttributeDescriptor.STATUS_INSPECTION`

  Parameters:
    `cm` - The id of collection method.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getCollectionMethod()`

### isArray

    public boolean isArray()

  Checks if the attribute is an array.

  Returns:
    boolean Returns true if the attribute is an array.
  See Also:
    `setIsArray(boolean)`

### setIsArray

    public void setIsArray(boolean isarr)

  Sets if the attribute is an array.

  Parameters:
    `isarr` - Is true if the attribute is an array..
  See Also:
    `isArray()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD